Repairy Partner API
  1. Leads
Repairy Partner API
  • Welcome 👋
  • Get Started
  • HTTP Headers
  • Authorization
  • Workshops
  • Bookings
  • Quotes
  • Service Reminder
  • Data Reporting
  • Booking URL
  • Error Codes
  • Technical Support
  • Changelog
  • Webhook
  • Additional Services
  • Service Catalog
  • APIs
    • Authorization
      • Access Token
      • Refresh Token
    • Workshops
      • Availabilities
      • Service Catalog
    • Bookings
      • Booking Request with Service Catalog (beta)
      • Booking Request
      • Booking Information
      • Update Booking Information
      • Update Booking Status
    • Quotes
      • Quote Request
    • Service Reminder
      • Service Reminder Notification
      • Service Reminder Information
    • Data Reporting
      • Partner Report
    • Leads
      • Call Lead
        POST
  • Data Structures
    • AuthResponse
    • Availability
    • CustomAvailability
    • Car
    • Customer
    • Booking
    • BookingUpdateRequest
    • BookingStatusUpdateConfig
    • Quote
    • ServiceHistory
    • ServiceReminder
    • WebhookRequest
    • ServiceCatalog
    • CallLead
  • Schemas
    • Schemas
      • WebhookRequest
      • ServiceSelection
      • ServiceCatalogItem
      • CallLead
      • Booking
      • BookingUpdateRequest
      • Customer
      • Car
      • Availability
      • CustomAvailability
      • AuthResponse
      • Quote
      • ServiceHistory
      • ServiceReminder
      • BookingStatusUpdateConfig
  1. Leads

Call Lead

Developing
Cloud Mock
https://mock.apidog.com/m1/839892-0-default
Cloud Mock
https://mock.apidog.com/m1/839892-0-default
POST
/workshops/{id}/calls/leads

Store Call Leads from Customers#

Capture and store call lead containing customer information from their phone call.

Request

Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "providerCallId": "1ac479e1-cfb6-4599-bcbe-f3c75afd79d1",
    "customerPhone": "+614123232449",
    "customerFullname": "Joe Someone",
    "customerMessage": "Hi, I need a roadie for my 2025 Ford Mustang",
    "customerEmail": "joe@gmail.com",
    "customerCarRego": "JOE1234",
    "bookingTime": "2026-01-16T02:57:14.100Z",
    "pickupTime": "2026-01-16T06:57:14.100Z"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/839892-0-default/workshops/affa9b0d131e2bd184342d75/calls/leads' \
--header 'X-Partner-ID: PARTNER_ID' \
--header 'Authorization: Bearer ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
    "providerCallId": "1ac479e1-cfb6-4599-bcbe-f3c75afd79d1",
    "customerPhone": "+614123232449",
    "customerFullname": "Joe Someone",
    "customerMessage": "Hi, I need a roadie for my 2025 Ford Mustang",
    "customerEmail": "joe@gmail.com",
    "customerCarRego": "JOE1234",
    "bookingTime": "2026-01-16T02:57:14.100Z",
    "pickupTime": "2026-01-16T06:57:14.100Z"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "success": true,
    "callLead": {
        "id": "string",
        "workshopId": "string",
        "partnerId": "string",
        "status": "string",
        "provider": "string",
        "providerCallId": "string",
        "customerPhone": "string",
        "customerFullname": "string",
        "customerMessage": "string",
        "customerEmail": "string",
        "customerCarRego": "string",
        "metadata": {
            "bookingTime": "string",
            "pickupTime": "string"
        },
        "createdAt": "string",
        "updatedAt": "string"
    }
}
Modified at 2026-01-16 03:09:15
Previous
Partner Report
Next
AuthResponse
Built with